require "simple_html/version"

module SimpleHtml
  class Tag
    def initialize(name, content, attributes = {})
      @name = name
      @content = content
      @attributes = attributes
    end

    def to_html
      attributes = @attributes.sort_by(&:first).
                               map { |key, value| " #{key}=\"#{value}\"" }.
                               join
      "<#{@name}#{attributes}>#{@content}</#{@name}>"
    end
  end
end
